@echo off
set MY_PATH=%~dp0
if "%MY_PATH%"=="" set MY_PATH=.\
for /f "delims== usebackq tokens=1,2" %%G in ("%MY_PATH%tool-path.txt") do set %%G=%%H
set TOOL_PATH=%MY_PATH%%COIA_PATH%
echo COIA batch: Read CANcrypt parameters
if -%1-==-- echo Use CcRd SerialPort
if -%1-==-- goto:eof
echo Use: COIA Read CANcrypt parameters
"%TOOL_PATH%\COIA.exe" -p %1 -r 0x5EF0,1 -r 0x5EF0,2 -r 0x5EF0,3 -r 0x5EF0,4 -r 0x5EF0,5 -r 0x5EF0,6
echo COIA batch CcRd: end
